#!/bin/sh

# make sure the path to rule file and rule file name match your system
# changing below to require execution from within earc-edel-v20 path

UF71PATH=/u0/unform71
FULLPATHRUL=/u0/unform_test/_sdsi/cp/ecp7.5-7.rul

# must be executed from the dir where the script and sub folders reside
if [ ! -f "./ecp7demo.sh" ]
	then
	echo "This script must be executed from the folder above the cp7 demotxt folder,"
	echo "and should be the folder containing the cp7 rule files."
	exit
fi

# must be root
if [ "`id|cut -f 1 -d '('`" != "uid=0" ]
	then
	echo "You must be the root user to run this script."
	exit
fi

echo "This script will create the archive libraries MyCP_Accounting,"
echo "MyCP_Purchasing, and MyCP_Sales."
echo "If they already exist, they will first be removed."
echo ""
CONTINUE=x
while [ "$CONTINUE" != "y" -a "$CONTINUE" != "n" ]
 do
 echo "Do you wish to continue? (enter y or n below):"
 read CONTINUE
done

# clear old first
# make sure these paths match your installation!

rm -rf $UF71PATH/arc/MyCP_Accounting 2>/dev/null
rm -rf $UF71PATH/arc/MyCP_Sales 2>/dev/null    
rm -rf $UF71PATH/arc/MyCP_Purchasing 2>/dev/null
rm ./etxt-cpdemo/*.pdf 2>/dev/null

# now build demo archives...
for f in `ls ./etxt-cpdemo/*.txt`
do
 pdf=`echo $f | sed -e "s/\.txt/.pdf/"`
 cmd="uf71c.sdsi -i $f -f $FULLPATHRUL -p pdf -o client:$pdf"
 echo "$cmd"
 $cmd
done
